<?php
//base
$bas=mysqli_query($con,"SELECT * from movimiento_caja where mca_usuario='$usu_id' and empresa='$empresa' and mca_estado='1' and apertura='$apertura'");
$base=mysqli_fetch_array($bas);
if ($base = mysqli_fetch_array($bas)) 
{
    $apertura=$base['apertura'];
    $mca_inicio=$base['mca_inicio']; 
    $cajas_caja_id=$base['cajas_caja_id'];
}


// base de apertura
$bas=mysqli_query($con,"SELECT *, sum(mov_total) as mca_base from movimientos where mov_apertura='$apertura' and empresa='$empresa' and sucursal='$sucursal' and mov_usuario='$usu_id' and mov_caja='$cajas_caja_id' and mov_tipo_movimiento='Base de Apertura' and estado='entrada' ");
$bas=mysqli_fetch_array($bas);
$mca_base_inicial=$bas['mca_base']+0;


$cuad = mysqli_query($con, "SELECT SUM(mov_total) AS mov_total FROM movimientos WHERE mov_apertura='$apertura' AND mov_tipo_movimiento='Cuadre de Caja' and estado='salida' AND mov_usuario='$usu_id' and mov_caja='$cajas_caja_id' and empresa='$empresa' and sucursal='$sucursal' ");
$cua = mysqli_fetch_array($cuad);

$mov_total=$cua['mov_total'];

$mca_base=$mca_base_inicial-$mov_total;

// base de apertura
$bas=mysqli_query($con,"SELECT *, sum(mov_total) as mca_base from movimientos where mov_apertura='$apertura' and empresa='$empresa' and sucursal='$sucursal' and mov_usuario='$usu_id' and mov_caja='$cajas_caja_id' and mov_tipo_movimiento='Base de Apertura' and estado='entrada' and forma_pago='efectivo' ");
$bas=mysqli_fetch_array($bas);
$mca_base_efectivo=$bas['mca_base']+0;

//venta contado
/*$ventas_contado=0;
$total_art=0;
$total_combos=0;
$descuento_total=0;
$ven1=mysqli_query($con,"SELECT * from ventas where ven_forma_de_pago='Contado' and ven_estado<>'anulada' and apertura='$apertura' and usuario='$usu_id'");
while ($vent1=mysqli_fetch_array($ven1))
    {
        $ven_id=$vent1['ven_id'];
        include('../include/total_venta.php');
    }
$ventas_contado+=$total_art+$total_combos; */


//venta contado
$sql1=mysqli_query($con, "SELECT sum(va.veab_abono) as abono_adicional from ventas v, venta_abonos va 
where v.ven_id=va.ventas_ven_id and va.apertura='$apertura' and v.apertura='$apertura'  and va.usuario='$usu_id' 
and ven_estado<>'anulada' and ven_forma_de_pago='Contado' and v.empresa='$empresa' and va.forma_pago='efectivo'");
$sql1=mysqli_fetch_array($sql1);
$ventas_contado=$sql1['abono_adicional']+0; 


//venta credito
$ventas_credito=0;
$ven1=mysqli_query($con,"SELECT * from ventas where ven_forma_de_pago='Credito' and ven_estado<>'anulada' and apertura='$apertura' and usuario='$usu_id'");
while ($vent1=mysqli_fetch_array($ven1))
{
    $ven_id=$vent1['ven_id'];
    $sumador_combo=0;
    $sumador_total=0;
    $neto=0;
    $total_descuento=0;
    $total_iva=0;
    $sumador_articulos=0;

    $total_retencion=0;
    $ret=mysqli_query($con,"SELECT SUM(ret_importe) as ret_importe FROM retencion_venta where empresa='$empresa' and ventas_ven_id='$ven_id'") or die(mysqli_error($con)); 
    $rets=mysqli_fetch_array($ret);
    $total_retencion=$rets['ret_importe'];

    include('../include/total_venta.php');
    $sumador_total=$sumador_articulos+$sumador_combo-$total_retencion;
    $ventas_credito+=$sumador_total;
}

//venta targeta
$ventas_targeta=0;
$ven1=mysqli_query($con,"SELECT * from ventas where ven_forma_de_pago='Tarjeta' and ven_estado<>'anulada' and apertura='$apertura' and usuario='$usu_id'");
while ($vent1=mysqli_fetch_array($ven1))
{
    $ven_id=$vent1['ven_id'];
    $sumador_combo=0;
    $sumador_total=0;
    $neto=0;
    $total_descuento=0;
    $total_iva=0;
    $sumador_articulos=0;

    $total_retencion=0;
    $ret=mysqli_query($con,"SELECT SUM(ret_importe) as ret_importe FROM retencion_venta where empresa='$empresa' and ventas_ven_id='$ven_id'") or die(mysqli_error($con)); 
    $rets=mysqli_fetch_array($ret);
    $total_retencion=$rets['ret_importe'];

    include('../include/total_venta.php');
    $sumador_total=$sumador_articulos+$sumador_combo-$total_retencion;
    $ventas_targeta+=$sumador_total;
}


//venta transferencia
$ventas_transferencia=0;
$ven1=mysqli_query($con,"SELECT * from ventas where ven_forma_de_pago='Transferencia' and ven_estado<>'anulada' and apertura='$apertura' and usuario='$usu_id'");
while ($vent1=mysqli_fetch_array($ven1))
{
    $ven_id=$vent1['ven_id'];
    $sumador_combo=0;
    $sumador_total=0;
    $neto=0;
    $total_descuento=0;
    $total_iva=0;
    $sumador_articulos=0;
    $total_retencion=0;
    $ret=mysqli_query($con,"SELECT SUM(ret_importe) as ret_importe FROM retencion_venta where empresa='$empresa' and ventas_ven_id='$ven_id'") or die(mysqli_error($con)); 
    $rets=mysqli_fetch_array($ret);
    $total_retencion=$rets['ret_importe'];
    include('../include/total_venta.php');
    $sumador_total=$sumador_articulos+$sumador_combo-$total_retencion;
    $ventas_transferencia+=$sumador_total;
}

//venta combinado
$ventas_combinado=0;
$ven1=mysqli_query($con,"SELECT * from ventas where ven_forma_de_pago='Combinado' and ven_estado<>'anulada' and apertura='$apertura' and usuario='$usu_id'");
while ($vent1=mysqli_fetch_array($ven1))
{
    $ven_id=$vent1['ven_id'];
    $sumador_combo=0;
    $sumador_total=0;
    $neto=0;
    $total_descuento=0;
    $total_iva=0;
    $sumador_articulos=0;
    $total_retencion=0;
    $ret=mysqli_query($con,"SELECT SUM(ret_importe) as ret_importe FROM retencion_venta where empresa='$empresa' and ventas_ven_id='$ven_id'") or die(mysqli_error($con)); 
    $rets=mysqli_fetch_array($ret);
    $total_retencion=$rets['ret_importe'];

    include('../include/total_venta.php');
    $sumador_total=$sumador_articulos+$sumador_combo-$total_retencion;
    $ventas_combinado+=$sumador_total;
}


//total abonos
$abo_tot=mysqli_query($con,"SELECT *, sum(mov_total) as abo_total from movimientos where mov_apertura='$apertura' and empresa='$empresa' and sucursal='$sucursal' and mov_usuario='$usu_id' and mov_caja='$cajas_caja_id' and (mov_tipo_movimiento='Abono cxc' or mov_tipo_movimiento='Abono apartado' or mov_tipo_movimiento='Abono Adelantado' or mov_tipo_movimiento='Abono orden de servicio' or mov_tipo_movimiento='Traspaso') and estado='entrada' ");
$abo_tot=mysqli_fetch_array($abo_tot);
$total_abonos=$abo_tot['abo_total']+0;

//abonos efectivo
$abo_efe=mysqli_query($con,"SELECT *, sum(mov_total) as abono_efectivo from movimientos where mov_apertura='$apertura' and empresa='$empresa' and sucursal='$sucursal' and mov_usuario='$usu_id' and mov_caja='$cajas_caja_id' and (mov_tipo_movimiento='Abono cxc' or mov_tipo_movimiento='Abono apartado' or mov_tipo_movimiento='Abono adelantado'  or mov_tipo_movimiento='Abono orden de servicio' or mov_tipo_movimiento='Traspaso') and forma_pago='efectivo' and estado='entrada' ");
$abo_efe=mysqli_fetch_array($abo_efe);
$abono_efectivo=$abo_efe['abono_efectivo'];

//efectivo combinado
$comef=mysqli_query($con, "SELECT sum(va.veab_abono) as abono_efectivo from ventas v, venta_abonos va 
where v.ven_id=va.ventas_ven_id and va.apertura='$apertura' and v.apertura='$apertura'  and va.usuario='$usu_id' 
and ven_estado<>'anulada' and ven_forma_de_pago='Combinado' and v.empresa='$empresa' and va.forma_pago='efectivo' and va.mov_id IS NULL");
$comef=mysqli_fetch_array($comef);
$combinado_efectivo=$comef['abono_efectivo']+0;


//efectivo cruces
$cruef=mysqli_query($con, "SELECT sum(va.veab_abono) as abono_efectivo from ventas v, venta_abonos va 
where v.ven_id=va.ventas_ven_id and va.apertura='$apertura' and v.apertura='$apertura' and va.usuario='$usu_id' 
and ven_estado<>'anulada' and ven_forma_de_pago='Cruce de Credito' and v.empresa='$empresa' and va.forma_pago='efectivo'");
$cruef=mysqli_fetch_array($cruef);
$cruce_efectivo=$cruef['abono_efectivo']+0;



//total egresos
$egr=mysqli_query($con,"SELECT sum(mov_total) as mov_total from movimientos
where empresa='$empresa' and mov_apertura='$apertura' and mov_usuario='$usu_id' and mov_caja='$cajas_caja_id' and (mov_tipo_movimiento='Comprobante de Egreso' or mov_tipo_movimiento='Devolucion de efectivo' or mov_tipo_movimiento='Traspaso' or mov_tipo_movimiento='Abono cxp' or mov_tipo_movimiento='Cuadre de Caja')  and estado='salida'");
$e=mysqli_fetch_array($egr);
$egresos=$e['mov_total']+0; 

//egresos en efectivo
$e_efe=mysqli_query($con,"SELECT sum(mov_total) as mov_total from movimientos
where empresa='$empresa' and mov_apertura='$apertura' and mov_usuario='$usu_id' and mov_caja='$cajas_caja_id' and (mov_tipo_movimiento='Comprobante de Egreso' or mov_tipo_movimiento='Devolucion de efectivo' or mov_tipo_movimiento='Traspaso' or mov_tipo_movimiento='Abono cxp' or mov_tipo_movimiento='Cuadre de Caja') and forma_pago='efectivo' and estado='salida'");
$e_efe=mysqli_fetch_array($e_efe);
$egresos_efectivo=$e_efe['mov_total']+0; 



//periodica        
/*$pago=mysqli_query($con, "SELECT sum(mov_total) as pago_periodico from movimientos
where empresa='$empresa' and mov_apertura='$apertura' and mov_usuario='$usu_id' and mov_caja='$cajas_caja_id' and estado='4'");
$pag=mysqli_fetch_array($pago);
$pago_periodica=$pag['pago_periodico']+0; */



//total ventas
$ventas_total=$ventas_contado+$ventas_credito+$ventas_targeta+$ventas_transferencia+$ventas_combinado;
//saldo
$saldoencaja=$mca_base_efectivo+$ventas_contado+$abono_efectivo+$combinado_efectivo+$cruce_efectivo-$egresos_efectivo;

?>